List Funding Channels

get/api/accounts/{accountId}/funding-channels

Retrieves a list of Funding Channels for the given account

This API uses cursor-based pagination. Start by making a request without a cursor to get the first page. Use the nextCursor from the pageInfo in the response as the cursor for subsequent requests to retrieve further pages. Continue until nextCursor is undefined, indicating no more data.

Request

Path Parameters

  • accountIdstringrequired

    Partner account id to retrieve Funding Channels for.

Query Parameters

  • limitnumber

    amount of records to return (max 100)

  • cursorstring

    cursor to retrieve the next page

Response

Successful operation.

Body application/json

  • itemsobject[]

    Items

    • idstringrequired

      Funding Channel primary identifier.

    • accountIdstringrequired

      Partner Account ID.

    • createdAtstringrequired

      Timestamp of Funding Channel creation.

    • fundingTypeNamestringrequired

      Name of the Funding Type the Funding Channel configures. See Funding Types.

    • namestringrequired

      Name of the Funding Channel.

    • purposestringrequired

      Purpose of the Funding Channel.

    • modestringrequired

      Funding Mode of the Funding Channel.

    • paramsobjectrequired

      Parameters for the Funding Channel.

      One of

      • storageAddressstringrequired

        The address of the storage contract.

    • storageAddressstringdeprecated

      Deprecated. See params for storage address.

  • pageInfoobject

    Page info for paginated results, undefined if no page info

    • nextCursorstring

      Cursor for next page, undefined if no more pages